Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81713 - grubby gives errors when called during uninstall of kernel
Summary: grubby gives errors when called during uninstall of kernel
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: mkinitrd
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Erik Troan
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks: 79579
TreeView+ depends on / blocked
 
Reported: 2003-01-13 05:48 UTC by Nathan G. Grennan
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-23 20:29:41 UTC


Attachments (Terms of Use)
grub.conf (deleted)
2003-01-15 03:23 UTC, Nathan G. Grennan
no flags Details

Description Nathan G. Grennan 2003-01-13 05:48:20 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20021216

Description of problem:
For the last week everytime I have uninstalled a kernel with rpm I have gotten
something like:

grubby: unable to open /dev/hdb: No such device or address
grubby: unable to read /dev/hda: Input/output error
grubby fatal error: unable to find a suitable template

It seems to still edit /etc/grub.conf correctly, but would be nice to get rid of
this error. I get this with mkinitrd-3.4.33 and mkinitrd-3.4.34.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. rpm -e kernel-2.4.20-2.10
  

Actual Results:  grubby: unable to open /dev/hdb: No such device or address
grubby: unable to read /dev/hda: Input/output error
grubby fatal error: unable to find a suitable template

Expected Results:  no errors

Additional info:

Comment 1 Erik Troan 2003-01-15 02:52:34 UTC
could you post your grub.conf?

Comment 2 Nathan G. Grennan 2003-01-15 03:23:59 UTC
Created attachment 89367 [details]
grub.conf


Note You need to log in before you can comment on or make changes to this bug.